<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		// creacion de una clase: Caja
		// propiedades: color, ancho, alto
		// 
		let Caja=function(){
			this.color="";
			let ancho=0;
			this.alto=0;
			this.getAncho=function(){
				//return this.ancho + "px"; // ocultacion de codigo
				return ancho + "px"; // por ser privada por el let
			}
			this.setAncho=function(valor){
				ancho=valor;  // ancho es privado por el let
			}
			this.getAlto=function(){
				return this.alto + "px";
			}
			this.setAlto=function(valor){
				this.alto=valor; // alto es publico, por eso se pone this
			}
			this.getColor=function(){
				return this.color;
			}
			this.setColor=function(valor){
				this.color=valor;
			}

			// creacion de un nuevo metodo
			this.pintar=function(selector){
				let c1;
				c1=document.querySelector(selector);
				c1.style.width=this.getAncho();
				c1.style.height=this.getAlto();
				c1.style.backgroundColor = this.getColor();
			}

		}


		// creacion de dos objetos basados en esa clase
		// 
		let caja1=new Caja();
		let caja2=new Caja();

		caja1.setAncho(200);
		caja1.setAlto(100);
		caja1.setColor("RED");

		caja2.setAncho(150); // es privado, solo lo puedo hacer con setters
		caja2.alto=150;  // es publico, lo puedo hacer así o con setters
		caja2.color="BLUE";

		// crear dos divs con esas especificaciones de los objetos
		// 
		
		window.addEventListener("load", function(){
 			caja1.pintar(".uno");
 			caja2.pintar(".dos");
 			


		});
	</script>
</head>
<body>
	<div class="uno">
		Caja1
	</div>
	<div class="dos">
		Caja2
	</div>
</body>
</html>